[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomCheckBox.SetChecked

Sets the value for the Checked property.

## Declaration

Source position: stdctrls.pp line 1347

`protected procedure TCustomCheckBox.SetChecked(`
`Value: Boolean`
`); override;`

## Arguments

`Value` |  | New value for the Checked property.

## Version info

Modified in LCL version 3.0 to remove processing for the linked Action and OnChange or OnClick notifications. In 3.0, these actions are performed when the State property is updated.

## See also

TCustomCheckBox.State |  | The check, unchecked, or grayed state for the control.
TButtonControl.Checked |  | Indicates the checked state for the control as a Boolean value.